## org.eclipse.datatools.sqltools.tabledataeditor.actions.providers
Class DataGroupProvider

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.navigator.CommonActionProvider
              org.eclipse.datatools.sqltools.tabledataeditor.actions.providers.DataGroupProvider

All Implemented Interfaces:
  org.eclipse.ui.navigator.IMementoAware

    public class DataGroupProvider

extends org.eclipse.ui.navigator.CommonActionProvider

Field Summary
`static java.lang.String` `DATA_MENU_ID`

Constructor Summary
`DataGroupProvider()`

Method Summary
`void` `fillContextMenu(org.eclipse.jface.action.IMenuManager menu)`

Methods inherited from class org.eclipse.ui.navigator.CommonActionProvider
`init, restoreState, saveState`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`dispose, fillActionBars, getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_MENU_ID

    public static final java.lang.String DATA_MENU_ID

See Also:
  Constant Field Values

Constructor Detail

### DataGroupProvider

    public DataGroupProvider()

Method Detail

### fillContextMenu

    public void fillContextMenu(org.eclipse.jface.action.IMenuManager menu)

  Overrides:
    `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`